kr.co.hanwha.hifive.data.source

## Class ProjectDataRepository

- java.lang.Object
- - kr.co.hanwha.hifive.data.source.ProjectDataRepository

- All Implemented Interfaces:
    BaseDataSource, ProjectDataSource

      public class ProjectDataRepository
      extends java.lang.Object
      implements ProjectDataSource

  Created by sanghoonkwon on 2018. 2. 20..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static ProjectDataRepository` | `sInstance`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProjectDataRepository()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clear data
    `static void` | `destroyInstance()`
    `static ProjectDataRepository` | `getInstance()`
    `void` | `requestDashboardList(android.content.Context context, HanwhaNetworkCallback<DabDataRoot> callback)` Dashboard 목록 조회
    `void` | `requestProjectList(android.content.Context context, HanwhaNetworkCallback<java.util.ArrayList<ProjectInfoData>> callback)` Project 분류 목록
    `void` | `requestTaskListByCampaign(android.content.Context context, int project_id, boolean isAll, HanwhaNetworkCallback<MainProjectRoot> callback)` Project, Campaign으로 구분되는 TASK 목록 조회
    `void` | `requestUpdateProjectColor(android.content.Context context, int project_id, ProjectEvaluationType evaluationType, HanwhaNetworkCallback callback)` Update Project evaluation color

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sInstance

          private static ProjectDataRepository sInstance

  - ### Constructor Detail

    - #### ProjectDataRepository

          public ProjectDataRepository()

  - ### Method Detail

    - #### getInstance

          public static ProjectDataRepository getInstance()

    - #### destroyInstance

          public static void destroyInstance()

    - #### clearData

          public void clearData()

      Description copied from interface: `BaseDataSource`
      Clear data
      Specified by:
        `clearData` in interface `BaseDataSource`

    - #### requestProjectList

          public void requestProjectList(@NonNull
                                         android.content.Context context,
                                         @NonNull
                                         HanwhaNetworkCallback<java.util.ArrayList<ProjectInfoData>> callback)

      Description copied from interface: `ProjectDataSource`
      Project 분류 목록
      Specified by:
        `requestProjectList` in interface `ProjectDataSource`
      Parameters:
        `context` - Context
        `callback` - 콜백

    - #### requestTaskListByCampaign

          public void requestTaskListByCampaign(@NonNull
                                                android.content.Context context,
                                                @NonNull
                                                int project_id,
                                                @NonNull
                                                boolean isAll,
                                                @NonNull
                                                HanwhaNetworkCallback<MainProjectRoot> callback)

      Description copied from interface: `ProjectDataSource`
      Project, Campaign으로 구분되는 TASK 목록 조회
      Specified by:
        `requestTaskListByCampaign` in interface `ProjectDataSource`
      Parameters:
        `context` - Context
        `project_id` - Project ID
        `isAll` - 필터
        `callback` - 콜백

    - #### requestUpdateProjectColor

          public void requestUpdateProjectColor(@NonNull
                                                android.content.Context context,
                                                @NonNull
                                                int project_id,
                                                @NonNull
                                                ProjectEvaluationType evaluationType,
                                                @NonNull
                                                HanwhaNetworkCallback callback)

      Description copied from interface: `ProjectDataSource`
      Update Project evaluation color
      Specified by:
        `requestUpdateProjectColor` in interface `ProjectDataSource`
      Parameters:
        `context` - Context
        `project_id` - 프로젝트 ID
        `evaluationType` - 프로젝트 Evaluation color code
        `callback` - 콜백

    - #### requestDashboardList

          public void requestDashboardList(@NonNull
                                           android.content.Context context,
                                           @NonNull
                                           HanwhaNetworkCallback<DabDataRoot> callback)

      Description copied from interface: `ProjectDataSource`
      Dashboard 목록 조회
      Specified by:
        `requestDashboardList` in interface `ProjectDataSource`
      Parameters:
        `context` - Context
        `callback` - 콜백